#include "xmodelcollsurf.h"

XModelCollSurf::XModelCollSurf()
    : XAsset()
    , mMins()
    , mMaxs()
    , mBoneIdx(0)
    , mContents(0)
    , mSurfFlags(0)
{
    
}

XModelCollSurf::~XModelCollSurf()
{
    
}

void XModelCollSurf::ParseData(QDataStream *aStream)
{
    
}

void XModelCollSurf::Clear()
{
    mMins = QVector3D();
    mMaxs = QVector3D();
    mBoneIdx = 0;
    mContents = 0;
    mSurfFlags = 0;
}
